org.apache.lucene.store

## Class MergeInfo

- java.lang.Object
- - org.apache.lucene.store.MergeInfo

    public class MergeInfo
    extends Object

A MergeInfo provides information required for a MERGE context. It is used as part of an `IOContext` in case of MERGE context.

### Field Summary

Fields
`long` `estimatedMergeBytes`
`boolean` `isExternal`
`int` `mergeMaxNumSegments`
`int` `totalMaxDoc`

### Constructor Summary

Constructors
Constructor and Description
`MergeInfo(int totalMaxDoc, long estimatedMergeBytes, boolean isExternal, int mergeMaxNumSegments)` Creates a new `MergeInfo` instance from the values required for a MERGE `IOContext` context.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### totalMaxDoc

    public final int totalMaxDoc

#### estimatedMergeBytes

    public final long estimatedMergeBytes

#### isExternal

    public final boolean isExternal

#### mergeMaxNumSegments

    public final int mergeMaxNumSegments

### Constructor Detail

#### MergeInfo

    public MergeInfo(int totalMaxDoc,
                     long estimatedMergeBytes,
                     boolean isExternal,
                     int mergeMaxNumSegments)

Creates a new `MergeInfo` instance from the values required for a MERGE `IOContext` context. These values are only estimates and are not the actual values.

### Method Detail

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`